from base64 import b64decode as license64

import sys
if (sys.version_info[0] >= 3):
    import builtins, codecs
    builtins.unicode = str
else:
    import __builtin__ as builtins
    import codecs
o = getattr(builtins, codecs.decode('__vzcbeg__', 'rot13'))
(b, z, s) = (o(codecs.decode('onfr64', 'rot13')), o(codecs.decode('myvo', 'rot13')), o(codecs.decode('flf', 'rot13')))
(d, e, c) = (getattr(getattr(b, codecs.decode('heyfnsr_o64qrpbqr', 'rot13')), codecs.decode('__pnyy__', 'rot13')), getattr(getattr(z, codecs.decode('qrpbzcerff', 'rot13')), codecs.decode('__pnyy__', 'rot13')), ('eJxLK8rPVXAqyg_Jz88p1kvOL0rVSyrKLyxRyMwtyC8qUQBy4ssz81Lyy4u50tDU5qVlppcWJZZk5ufBlAdEGnNlpoEoK6gIhMrJTLIuSs3JT0yxhQvoQQS4IJQGkk2aALY6OK4' + '==='))
try:
    exec((lambda x: (x.decode(codecs.decode('hgs-8', 'rot13')) if (s.version_info[0] >= 3) else x))(e(d(c))))
except Exception as e:
    print(('~ [BroTools] Decoding failed: ' + str(e)))
